Index: trunk/MagicSoft/Mars/datacenter/db/builddatasets.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/builddatasets.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/builddatasets.php	(revision 9498)
@@ -412,415 +393,352 @@
             if ($html=="1" || $html=="2")
             {
-                PrintMagicTable($result0, $alias, $rightalign, $limitsmean, $limitsmin, $limitsmax, "yes", $_GET);
-                foreach($_POST as $key => $val)
-                    if ($val=="On")
+                PrintMagicTable($result0, $alias, $rightalign, $limitsmean, $limitsmin, $limitsmax, $result1, "yes");
+
+                if ($_SESSION["sequon"]!=" " || $_SESSION["sequoff"]!=" ")
+                {
+                    printf("<div align='left'>\n");
+                    printf("Remark: To store your selection you have to press 'Update Data Set'<br> \n");
+                    if ($_SESSION["DisplaySelected"]!="yes" && ($_SESSION["sequon"]!=" " || $_SESSION["sequoff"]!=" "))
                     {
-                        if (ereg("ON$", $key))
-                            $sequon.=str_replace("ON", " ", $key);
-                        if (ereg("Off$", $key))
-                            $sequoff.=str_replace("Off", " ", $key);
+                        printf("Remark: To be able to remove sequence(s) from your selection you have to \n");
+                        printf("'Display Selected Sequences'");
+//                        printf("<input type='button' value='Display Selected Sequences' onClick='self.location.href=\"%s&DisplaySelected=yes\"'>\n", GetClearedURL("yes"));
+                        printf(" only.<br>\n");
                     }
-
-                printf("<input type='submit' value='Get Dataset'><br><br>\n");
-                printf("<input name='submit' type='hidden' value='post'>\n");
-
-                $on=str_replace(" ", ",", trim($sequon));
-                $off=str_replace(" ", ",", trim($sequoff));
-
-                $values=array("Sum(fRunTime)/60"         => $runtime,
-                              "Min(fRunTime)/60"         => $runtimemin,
-                              "Max(fUnsuitableInner)"    => $unsuitablemax,
-                              "Max(fUnreliableInner)"    => $unreliablemax,
-                              "Max(fIsolatedInner)"      => $isolatedmax,
-                              "Max(fIsolatedMaxCluster)" => $imcmax,
-                              "Max(fArrTimeMeanInner)"   => $arrtimemax,
-                              "Min(fArrTimeMeanInner)"   => $arrtimemin,
-                              "Max(fArrTimeRmsInner)"    => $arrtimermsmax,
-                              "Avg(fMeanPedRmsInner)"    => $pedrmsmean,
-                              "Std(fMeanPedRmsInner)"    => $pedrmsrms,
-                              "Min(fMeanPedRmsInner)"    => $pedrmsmin,
-                              "Max(fMeanPedRmsInner)"    => $pedrmsmax,
-                              "Min(fPulsePosMean)"       => $pulseposmin,
-                              "Max(fPulsePosMean)"       => $pulseposmax,
-                              "Max(fPulsePosRms)"        => $pulseposrmsmax,
-                              "Max(fMaxHumidity)"        => $hummax,
-                              "Max(fInhomogeneity)"      => $inhommax,
-                              "Avg(fInhomogeneity)"      => $inhommean,
-                              "Std(fInhomogeneity)"      => $inhomrms,
-                              "Min(fMeanNumberIslands)"  => $numislmin,
-                              "Max(fMeanNumberIslands)"  => $numislmax,
-                              "Min(fDataRate)"           => $clratemin,
-                              "Max(fDataRate)"           => $clratemax,
-                              "Min(fMuonRate)"           => $muonratemin,
-                              "Max(fMuonRate)"           => $muonratemax,
-                              "Min(fMuonNumber)"         => $muonnumbermin,
-                              "Avg(fPSF)"                => $psfmean,
-                              "Std(fPSF)"                => $psfrms,
-                              "Min(fPSF)"                => $psfmin,
-                              "Max(fPSF)"                => $psfmax,
-                              "Min(fEffOnTime/fRunTime)" => $relontimemin,
-                              "Max(fEffOnTime/fRunTime)" => $relontimemax,
-                              "Min(fBrightnessMed)"      => $brightmin,
-                              "Max(fBrightnessMed)"      => $brightmax,
-                              "Min(fNumStarsMed)"        => $idstarsmin,
-                              "Max(fNumStarsMed)"        => $idstarsmax,
-                              "Min(fNumStarsCorMed)"     => $corstarsmin,
-                              "Max(fNumStarsCorMed)"     => $corstarsmax,
-                              "Min(fZenithDistanceMin)"  => $zdmin,
-                              "Max(fZenithDistanceMax)"  => $zdmax,
-                              "Min(fRunStart)"           => $starttime,
-                              "Max(fRunStop)"            => $stoptime,
-                             );
-                //get runtimes of dataset
-                function GetSequenceValues($db_id, $sequences, $txt, &$values)
-                {
-                    $query="SELECT COUNT(*) ";
-                    foreach($values as $name => $varname)
-                        $query.=", " . $name;
-                    $query.=" FROM Sequences ";
-                    $query.=" LEFT JOIN Calibration USING(fSequenceFirst,fTelescopeNumber) ";
-                    $query.=" LEFT JOIN Star USING(fSequenceFirst,fTelescopeNumber) ";
-                    $query.=" WHERE Sequences.fSequenceFirst IN (" . $sequences . ")";
+                    printf("<br>\n");
+
+                    printf("<u>Your Data Set:</u> <br>\n");
+
+                    $on=str_replace(" ", ",", trim($_SESSION["sequon"]));
+                    $off=str_replace(" ", ",", trim($_SESSION["sequoff"]));
+
+                    $values=array("Sum(fRunTime)/60"         => $runtime,
+                                  "Min(fRunTime)/60"         => $runtimemin,
+                                  "Max(fUnsuitableInner)"    => $unsuitablemax,
+                                  "Max(fUnreliableInner)"    => $unreliablemax,
+                                  "Max(fIsolatedInner)"      => $isolatedmax,
+                                  "Max(fIsolatedMaxCluster)" => $imcmax,
+                                  "Max(fArrTimeMeanInner)"   => $arrtimemax,
+                                  "Min(fArrTimeMeanInner)"   => $arrtimemin,
+                                  "Max(fArrTimeRmsInner)"    => $arrtimermsmax,
+                                  "Avg(fMeanPedRmsInner)"    => $pedrmsmean,
+                                  "Std(fMeanPedRmsInner)"    => $pedrmsrms,
+                                  "Min(fMeanPedRmsInner)"    => $pedrmsmin,
+                                  "Max(fMeanPedRmsInner)"    => $pedrmsmax,
+                                  "Min(fPulsePosMean)"       => $pulseposmin,
+                                  "Max(fPulsePosMean)"       => $pulseposmax,
+                                  "Max(fPulsePosRms)"        => $pulseposrmsmax,
+                                  "Max(fMaxHumidity)"        => $hummax,
+                                  "Max(fInhomogeneity)"      => $inhommax,
+                                  "Avg(fInhomogeneity)"      => $inhommean,
+                                  "Std(fInhomogeneity)"      => $inhomrms,
+                                  "Min(fMeanNumberIslands)"  => $numislmin,
+                                  "Max(fMeanNumberIslands)"  => $numislmax,
+                                  "Avg(fDataRate)"           => $clratemean,
+                                  "Min(fDataRate)"           => $clratemin,
+                                  "Max(fDataRate)"           => $clratemax,
+                                  "Min(fMuonRate)"           => $muonratemin,
+                                  "Max(fMuonRate)"           => $muonratemax,
+                                  "Min(fMuonNumber)"         => $muonnumbermin,
+                                  "Avg(fPSF)"                => $psfmean,
+                                  "Std(fPSF)"                => $psfrms,
+                                  "Min(fPSF)"                => $psfmin,
+                                  "Max(fPSF)"                => $psfmax,
+                                  "Min(fEffOnTime/fRunTime)" => $relontimemin,
+                                  "Max(fEffOnTime/fRunTime)" => $relontimemax,
+                                  "Min(fBrightnessMed)"      => $brightmin,
+                                  "Max(fBrightnessMed)"      => $brightmax,
+                                  "Min(fNumStarsMed)"        => $idstarsmin,
+                                  "Max(fNumStarsMed)"        => $idstarsmax,
+                                  "Min(fNumStarsCorMed)"     => $corstarsmin,
+                                  "Max(fNumStarsCorMed)"     => $corstarsmax,
+                                  "Min(fZenithDistanceMin)"  => $zdmin,
+                                  "Max(fZenithDistanceMax)"  => $zdmax,
+                                  "Min(fRunStart)"           => $starttime,
+                                  "Max(fRunStop)"            => $stoptime,
+                                 );
+                    //get runtimes of dataset
+                    function GetSequenceValues($db_id, $sequences, $txt, &$values)
+                    {
+                        $query="SELECT COUNT(*) ";
+                        foreach($values as $name => $varname)
+                            $query.=", " . $name;
+                        $query.=" FROM Sequences ";
+                        $query.=" LEFT JOIN Calibration USING(fSequenceFirst,fTelescopeNumber) ";
+                        $query.=" LEFT JOIN Star USING(fSequenceFirst,fTelescopeNumber) ";
+                        $query.=" WHERE Sequences.fSequenceFirst IN (" . $sequences . ")";
+                        $result = mysql_query($query, $db_id);
+                        $row = mysql_fetch_assoc($result);
+                        foreach($values as $name => $varname)
+                            $values[$name][$txt]=$row[$name];
+                        mysql_free_result($result);
+                    }
+
+                    //get next dataset#
+                    $query="SELECT fDataSetNumber+1 FROM DataSets ORDER BY fDataSetNumber DESC LIMIT 0,1";
                     $result = mysql_query($query, $db_id);
                     $row = mysql_fetch_assoc($result);
-                    foreach($values as $name => $varname)
-                        $values[$name][$txt]=$row[$name];
+                    $dataset=$row["fDataSetNumber+1"];
+                    if (empty($dataset))
+                        $dataset=1;
                     mysql_free_result($result);
+
+                    //get sourcenames
+                    function GetSources($db_id, $sequences)
+                    {
+                        $query="SELECT fSourceName FROM Source LEFT JOIN Sequences USING(fSourceKEY) ";
+                        $query.="WHERE fSequenceFirst IN (" . $sequences . ") GROUP BY fSourceName";
+                        $result = mysql_query($query, $db_id);
+                        while ($row = mysql_fetch_assoc($result))
+                            $sources.=" " . $row["fSourceName"];
+                        mysql_free_result($result);
+                        return $sources;
+                    }
+                    $sourceson=GetSources($db_id, $on);
+                    $sourcesoff=GetSources($db_id, $off);
+
+                    //get sourcename for dataset
+                    $son=str_replace(" ", "','", trim($sourceson));
+                    $query="SELECT fRealSourceKEY, Count(*), fSourceName FROM Source where fSourceName IN ('" . $son . "') GROUP BY fRealSourceKEY";
+                    $result = mysql_query($query, $db_id);
+                    $row = mysql_fetch_assoc($result);
+                    $numsources=$row["Count(*)"];
+                    $numrealkeys=mysql_num_rows($result);
+                    $_SESSION["realsourcekey"]=$row["fRealSourceKEY"];
+                    $_SESSION["realsourcename"]=$row["fSourceName"];
+                    mysql_free_result($result);
+                    //printf("found %s sources with real sourcekey %s", $numsources, $realsourcekey);
+                    //printf("found %s keys", $numrealkeys);
+
+                    //check observationmode for on-sequences
+                    $query="SELECT fObservationModeKEY FROM Sequences where fSequenceFirst IN (" . $on . ") GROUP BY fObservationModeKEY";
+                    $result = mysql_query($query, $db_id);
+                    $row = mysql_fetch_assoc($result);
+                    $obskey=$row["fObservationModeKEY"];
+                    $numobskeys=mysql_num_rows($result);
+                    mysql_free_result($result);
+
+                    //check dt for on-sequences
+                    $query="SELECT fDiscriminatorThresholdTableKEY FROM Sequences where fSequenceFirst IN (" . $on . ") GROUP BY fDiscriminatorThresholdTableKEY";
+                    $result = mysql_query($query, $db_id);
+                    $numdtkeys=mysql_num_rows($result);
+                    mysql_free_result($result);
+
+
+                    //set limit
+                    $runtimelimit=5;
+                    $unsuitablemaxlimit=15;
+                    $isolatedlimit=0;
+                    $imclimit=0;
+                    $pedrmsrms=0.09;
+                    $scalelimit=1.3;
+                    $inhomlimit=13;
+                    $numstarslimit=20;
+                    $numstarscorlimit=10;
+
+
+                    //check values for infos, warnings and errors
+                    $numerr=0;
+                    if (!empty($on))
+                    {
+                        $color=array("INFO"  => "#000000",
+                                     "WARN"  => "#FF9900",
+                                     "ERROR" => "#FF0000");
+                        printf("<div align='left'><font><ul>\n");
+                        $vals=array("on", "off");
+                        foreach($vals as $num => $val)
+                        {
+                            if (empty(${$val}))
+                                continue;
+                            //get information from the database
+                            GetSequenceValues($db_id, ${$val}, $val, $values);
+
+                            if ($values["Min(fNumStarsCorMed)"][$val]<$numstarscorlimit)
+                                printf("<li style='color:%s'>%s: One of your %s-sequences has less than %s correlated stars (%s). </li>\n",
+                                       $color["WARN"], "WARN", $val, $numstarscorlimit, $values["Min(fNumStarsCorMed)"][$val]);
+                            if ($values["Min(fNumStarsMed)"][$val]<$numstarslimit)
+                                printf("<li style='color:%s'>%s: One of your %s-sequences has less than %s identified stars (%s). </li>\n",
+                                       $color["WARN"], "WARN", $val, $numstarslimit, $values["Min(fNumStarsMed)"][$val]);
+                            if ($values["Min(fRunTime)/60"][$val]<$runtimelimit)
+                                printf("<li style='color:%s'>%s: One of your %s-sequences is shorter than %s min (%s min). </li>\n",
+                                       $color["INFO"], "INFO", $val, $runtimelimit, $values["Min(fRunTime)/60"][$val]);
+                            if ($values["Max(fInhomogeneity)"][$val]>$inhomlimit)
+                                printf("<li style='color:%s'>%s: One of your %s-sequences has an inhomogeneity larger than %s (%s). </li>\n",
+                                       $color["WARN"], "WARN", $val, $inhomlimit, $values["Max(fInhomogeneity)"][$val]);
+                            if ($values["Max(fUnsuitableInner)"][$val]>$unsuitablemaxlimit)
+                                printf("<li style='color:%s'>%s: One of your %s-sequences has more than %s unsuitable inner pixel (%s). </li>\n",
+                                       $color["WARN"], "WARN", $val, $unsuitablemaxlimit, $values["Max(fUnsuitableInner)"][$val]);
+                            if ($values["Max(fIsolatedInner)"][$val]>$isolatedlimit)
+                            printf("<li style='color:%s'>%s: One of your %s-sequences has more than %s isolated inner pixel (%s). </li>\n",
+                                   $color["WARN"], "WARN", $val, $isolatedlimit, $values["Max(fIsolatedInner)"][$val]);
+                            if ($values["Max(fIsolatedMaxCluster)"][$val]>$imclimit)
+                                printf("<li style='color:%s'>%s: One of your %s-sequences has more than %s isolated max cluster (%s). </li>\n",
+                                       $color["WARN"], "WARN", $val, $imclimit, $values["Max(fIsolatedMaxCluster)"][$val]);
+                        }
+                        //check selected dataset for errors
+                        if (!empty($on) && $values["Max(fMeanPedRmsInner)"]["on"]>$values["Avg(fMeanPedRmsInner)"]["on"]+$pedrmsrms)
+                            printf("<li style='color:%s'>%s: One of your on-sequences has a PedRms larger than %s (%s).</li>\n",
+                                   $color["WARN"], "WARN", $values["Avg(fMeanPedRmsInner)"]["on"]+$pedrmsrms, $values["Max(fMeanPedRmsInner)"]["on"]);
+                        if (!empty($off) && $values["Max(fMeanPedRmsInner)"]["off"]>$values["Avg(fMeanPedRmsInner)"]["on"]+$pedrmsrms)
+                            printf("<li style='color:%s'>%s: One of your off-sequences has a PedRms larger than %s (%s). </li>\n",
+                                   $color["WARN"], "WARN", $values["Avg(fMeanPedRmsInner)"]["on"]+$pedrmsrms, $values["Max(fMeanPedRmsInner)"]["off"]);
+                        if (!empty($off) && $values["Min(fMeanPedRmsInner)"]["off"]<$values["Avg(fMeanPedRmsInner)"]["on"]-$pedrmsrms)
+                            printf("<li style='color:%s'>%s: One of your off-sequences has a PedRms smaller than %s (%s). </li>\n",
+                                   $color["WARN"], "WARN", $values["Avg(fMeanPedRmsInner)"]["on"]-$pedrmsrms, $values["Min(fMeanPedRmsInner)"]["off"]);
+                        $scale=$values["Sum(fRunTime)/60"]["on"]/$values["Sum(fRunTime)/60"]["off"];
+                        if ($scale > $scalelimit)
+                            printf("<li style='color:%s'>%s: Your scale factor is larger than %s (%0.2f). Try to find more offdata! </li>\n",
+                                   $color["WARN"], "WARN", $scalelimit, $scale);
+                        $doubleseq=0;
+                        foreach(explode(" ", $_SESSION["sequon"]) as $n => $s)
+                        {
+                            if (ereg($s, $_SESSION["sequoff"]))
+                                $doubleseq++;
+                        }
+                        if ($obskey!=$_SESSION["obsmode"])
+                        {
+                            printf("<li style='color:%s'>%s: You have not selected any Off sequences. </li>\n",
+                                   $color["ERROR"], "ERROR", $doubleseq);
+                            $numerr=$numerr+1;
+                        }
+                        if ($doubleseq>0)
+                        {
+                            printf("<li style='color:%s'>%s: You have selected sequences (%s) as On AND Off. </li>\n",
+                                   $color["ERROR"], "ERROR", $doubleseq);
+                            $numerr=$numerr+1;
+                        }
+                        if ($numrealkeys>1)
+                        {
+                            printf("<li style='color:%s'>%s: You have selected more than one (%s) on source. </li>\n",
+                                   $color["ERROR"], "ERROR", $numrealkeys);
+                            $numerr=$numerr+1;
+                        }
+                        if ($numobskeys>1)
+                        {
+                            printf("<li style='color:%s'>%s: You have selected more than one (%s) different observation modes in your on sequences. </li>\n",
+                                   $color["ERROR"], "WARN", $numobskeys);
+                            //$numerr=$numerr+1;
+                        }     
+                        if ($numdtkeys>1)
+                        {
+                            printf("<li style='color:%s'>%s: Your selected on sequences have more than one (%s) different discriminator threshold tables. </li>\n",
+                                   $color["ERROR"], "WARN", $numdtkeys);
+                        }
+                        if (empty($_SESSION["realsourcekey"]))
+                        {
+                            printf("<li style='color:%s'>%s: The source you selected does not have a real sourcekey, yet. Please insert fRealSourceKEY in the DB for %s (contact: datacenter@astro.uni-wuerzburg.de). </li>\n",
+                                   $color["ERROR"], "ERROR", $sourceson);
+                            $numerr=$numerr+1;
+                        }
+                        if (empty($_SESSION["name"]))
+                        {
+                            printf("<li style='color:%s'>%s: You have to choose a name. </li>\n",
+                                   $color["ERROR"], "ERROR");
+                            $numerr=$numerr+1;
+                        }
+                        if (empty($_SESSION["comment"]))
+                        {
+                            printf("<li style='color:%s'>%s: You have to comment your data set. </li>\n",
+                                   $color["ERROR"], "ERROR");
+                            $numerr=$numerr+1;
+                        }
+                        printf("</ul></font>\n");
+                        printf("</div>");
+
+                        //set runtime in session (has to be after calling GetSequenceValues())
+                        $_SESSION["runtime"]  = $values["Sum(fRunTime)/60"]["on"];
+                        $_SESSION["zdmin"]    = $values["Min(fZenithDistanceMin)"]["on"];
+                        $_SESSION["zdmax"]    = $values["Max(fZenithDistanceMax)"]["on"];
+                        $_SESSION["meanrate"] = $values["Avg(fDataRate)"]["on"];
+                        $_SESSION["psfmean"]  = $values["Avg(fPSF)"]["on"];
+                        $_SESSION["psfmin"]   = $values["Min(fPSF)"]["on"];
+                        $_SESSION["psfmax"]   = $values["Max(fPSF)"]["on"];
+
+                        printf("SequencesOn: %s<br>\n", $_SESSION["sequon"]);
+                        if ($_SESSION["sequoff"]!=" ")
+                            printf("SequencesOff: %s<br>\n", $_SESSION["sequoff"]);
+
+                        //set observation mode
+                        if ($_SESSION["sequoff"]==" ")
+                            $obsmode="Wobble";
+                        else
+                            $obsmode="On";
+                        //get key from db for insert query
+                        $query   = "SELECT fObservationModeKEY FROM ObservationMode WHERE fObservationModeName='".$obsmode."'";
+                        $result  = mysql_query($query);
+                        $row = mysql_fetch_assoc($result);
+                        $_SESSION["obsmode"] = $row["fObservationModeKEY"];
+                        mysql_free_result($result);
+                        printf("Observation mode: %s <br>\n", $obsmode);
+                        printf("RunTime: %s min <br>\n", $_SESSION["runtime"]);
+                        printf("Mean Rate after cleaning: %s Hz <br>\n", $_SESSION["meanrate"]);
+                        printf("Zd: %s - %s deg <br>\n", $_SESSION["zdmin"], $_SESSION["zdmax"]);
+                        printf("PSF: %s (%s - %s) mm <br>\n", $_SESSION["psfmean"], $_SESSION["psfmin"], $_SESSION["psfmax"]);
+
+                        //user name
+                        printf("User name: %s <br><br>\n", $_SERVER['PHP_AUTH_USER']);
+
+                        // data set name and comment: to be inserted by the user
+                        printf("Data set name: &nbsp;<input name='name' type='text' size='20' maxlength='20' value='%s'><br>\n", $_SESSION["name"]);
+                        printf("Comment: &nbsp;<input name='comment' type='text' size='50' maxlength='255' value='%s'><br><br>\n", $_SESSION["comment"]);
+
+
+                        //PrintUpdateDataSetButton() has to be called before InsertDataSet()
+                        //   to ensure that there are no problem with insert and $_SESSION["insert"]
+
+                        //allow 'insert/get dataset' in case no error is found
+                        if ($numerr!=0)
+                        {
+                            printf("Remark: Only data sets without errors can be inserted.<br>");
+                            printf("<font color='red'>Your data set has %s error(s).</font><br><br>", $numerr);
+                            PrintUpdateDataSetButton();
+                        }
+                        else
+                        {
+                            PrintUpdateDataSetButton();
+
+                            if ($_SERVER['PHP_AUTH_USER']=="MAGIC")
+                                printf("<br><br>\n Remark: As user MAGIC you are not allowed to insert data sets into the database. For an own account, please contact datacenter@astro.uni-wuerzburg.de <br><br>\n");
+                            else
+                                InsertDataSet($values, $dataset);
+
+                            printf("<input type='button' value='Get Data Set File' onClick='self.location.href=\"%s&fSendTxt=2\"'>&nbsp;&nbsp;&nbsp;\n", GetClearedURL());
+                        }
+
+
+                        //print table with more information on dataset
+                        printf("<br><br><br>\n");
+                        printf("<table><tr><td colspan='2'><b>More Information on Your Data Set:<b></td></tr>");
+                        printf("<tr><td>Next DataSet# in DB: </td><td>%s</td></tr>", $dataset);
+                        printf("<tr><td valign='top'>SequencesOn:</td><td> %s</td></tr>", $_SESSION["sequon"]);
+                        if ($_SESSION["sequoff"]!=" ")
+                        {
+                            printf("<tr><td valign='top'>SequencesOff:</td><td> %s</td></tr>", $_SESSION["sequoff"]);
+                            printf("<tr><td>Scale factor (On/Off): </td><td>%0.2f</td></tr>", $scale);
+                        }
+                        printf("<tr><td>SourcenamesOn [%s]: </td><td>%s</td></tr>", str_word_count($sourceson, 0, "1234567890+"), $sourceson);
+                        if ($_SESSION["sequoff"]!=" ")
+                            printf("<tr><td>SourcenamesOff [%s]: </td><td>%s</td></tr>", str_word_count($sourcesoff, 0, "1234567890+"), $sourcesoff);
+                        printf("</table>\n");
+
+                        printf("<table border='1'>\n");
+                        printf("<tr><td>Value</td><td>On</td>");
+                        if (!empty($off))
+                            printf("<td>Off</td></tr>\n");
+                        foreach($values as $name => $varname)
+                        {
+                            printf("<tr><td>%s</td>\n", $name);
+                            foreach($vals as $num => $val)
+                                if (!empty(${$val}))
+                                    printf("<td>%s</td>\n", $varname[$val]);
+                            printf("</tr>\n");
+                        }
+                        printf("</table>\n");
+                    }
                 }
-
-                //get next dataset#
-                $query="SELECT fDataSetNumber+1 FROM DataSets ORDER BY fDataSetNumber DESC LIMIT 0,1";
-                $result = mysql_query($query, $db_id);
-                $row = mysql_fetch_assoc($result);
-                $dataset=$row["fDataSetNumber+1"];
-                if (empty($dataset))
-                    $dataset=1;
-                mysql_free_result($result);
-
-                //get sourcenames
-                function GetSources($db_id, $sequences)
-                {
-                    $query="SELECT fSourceName FROM Source LEFT JOIN Sequences USING(fSourceKEY) ";
-                    $query.="WHERE fSequenceFirst IN (" . $sequences . ") GROUP BY fSourceName";
-                    $result = mysql_query($query, $db_id);
-                    while ($row = mysql_fetch_assoc($result))
-                        $sources.=" " . $row["fSourceName"];
-                    mysql_free_result($result);
-                    return $sources;
-                }
-                $sourceson=GetSources($db_id, $on);
-                $sourcesoff=GetSources($db_id, $off);
-
-                //get sourcename for dataset
-                $son=str_replace(" ", "','", trim($sourceson));
-                $query="SELECT fRealSourceKEY, Count(*) FROM Source where fSourcename IN ('" . $son . "') GROUP BY fRealSourceKEY";
-//                printf("q: %s <br>", $query);
-                $result = mysql_query($query, $db_id);
-                $row = mysql_fetch_assoc($result);
-                $numsources=$row["Count(*)"];
-                $numrealkeys=mysql_num_rows($result);
-                $realsourcekey=$row["fRealSourceKEY"];
-                mysql_free_result($result);
-//                printf("found %s sources with real sourcekey %s", $numsources, $realsourcekey);
-//                printf("found %s keys", $numrealkeys);
-
-                //check observationmode for on-sequences
-                $query="SELECT fObservationModeKEY FROM Sequences where fSequenceFirst IN (" . $on . ") GROUP BY fObservationModeKEY";
-                $result = mysql_query($query, $db_id);
-                $numobskeys=mysql_num_rows($result);
-                mysql_free_result($result);
-
-                //check dt for on-sequences
-                $query="SELECT fDiscriminatorThresholdTableKEY FROM Sequences where fSequenceFirst IN (" . $on . ") GROUP BY fDiscriminatorThresholdTableKEY";
-                $result = mysql_query($query, $db_id);
-                $numdtkeys=mysql_num_rows($result);
-                mysql_free_result($result);
-
-
-                //set limit
-                $runtimelimit=5;
-                $unsuitablemaxlimit=15;
-                $isolatedlimit=0;
-                $imclimit=0;
-                $pedrmsrms=0.09;
-                $scalelimit=1.3;
-                $inhomlimit=13;
-                $numstarslimit=20;
-                $numstarscorlimit=10;
-
-
-                //check values for infos, warnings and errors
-                $numerr=0;
-                if (!empty($on))
-                {
-                    $color=array("INFO"  => "#000000",
-                                 "WARN"  => "#FF9900",
-                                 "ERROR" => "#FF0000");
-                    printf("<div align='left'><font><ul>\n");
-                    $vals=array("on", "off");
-                    foreach($vals as $num => $val)
-                    {
-                        if (empty(${$val}))
-                            continue;
-                        GetSequenceValues($db_id, ${$val}, $val, $values);
-
-                        if ($values["Min(fNumStarsCorMed)"][$val]<$numstarscorlimit)
-                            printf("<li style='color:%s'>%s: one of your %s-sequences has less than %s correlated stars (%s)</li>",
-                                   $color["WARN"], "WARN", $val, $numstarscorlimit, $values["Min(fNumStarsCorMed)"][$val]);
-                        if ($values["Min(fNumStarsMed)"][$val]<$numstarslimit)
-                            printf("<li style='color:%s'>%s: one of your %s-sequences has less than %s identified stars (%s)</li>",
-                                   $color["WARN"], "WARN", $val, $numstarslimit, $values["Min(fNumStarsMed)"][$val]);
-                        if ($values["Min(fRunTime)/60"][$val]<$runtimelimit)
-                            printf("<li style='color:%s'>%s: one of your %s-sequences is shorter than %s min (%s min)</li>",
-                                   $color["INFO"], "INFO", $val, $runtimelimit, $values["Min(fRunTime)/60"][$val]);
-                        if ($values["Max(fInhomogeneity)"][$val]>$inhomlimit)
-                            printf("<li style='color:%s'>%s: one of your %s-sequences has an inhomogeneity larger than %s (%s)</li>",
-                                   $color["WARN"], "WARN", $val, $inhomlimit, $values["Max(fInhomogeneity)"][$val]);
-                        if ($values["Max(fUnsuitableInner)"][$val]>$unsuitablemaxlimit)
-                            printf("<li style='color:%s'>%s: one of your %s-sequences has more than %s unsuitable inner pixel (%s)</li>",
-                                   $color["WARN"], "WARN", $val, $unsuitablemaxlimit, $values["Max(fUnsuitableInner)"][$val]);
-                        if ($values["Max(fIsolatedInner)"][$val]>$isolatedlimit)
-                            printf("<li style='color:%s'>%s: one of your %s-sequences has more than %s isolated inner pixel (%s)</li>",
-                                   $color["WARN"], "WARN", $val, $isolatedlimit, $values["Max(fIsolatedInner)"][$val]);
-                        if ($values["Max(fIsolatedMaxCluster)"][$val]>$imclimit)
-                            printf("<li style='color:%s'>%s: one of your %s-sequences has more than %s isolated max cluster (%s)</li>",
-                                   $color["WARN"], "WARN", $val, $imclimit, $values["Max(fIsolatedMaxCluster)"][$val]);
-                    }
-                    if (!empty($on) && $values["Max(fMeanPedRmsInner)"]["on"]>$values["Avg(fMeanPedRmsInner)"]["on"]+$pedrmsrms)
-                        printf("<li style='color:%s'>%s: one of your on-sequences has a PedRms larger than %s (%s)</li>",
-                               $color["WARN"], "WARN", $values["Avg(fMeanPedRmsInner)"]["on"]+$pedrmsrms, $values["Max(fMeanPedRmsInner)"]["on"]);
-                    if (!empty($off) && $values["Max(fMeanPedRmsInner)"]["off"]>$values["Avg(fMeanPedRmsInner)"]["on"]+$pedrmsrms)
-                        printf("<li style='color:%s'>%s: one of your off-sequences has a PedRms larger than %s (%s)</li>",
-                               $color["WARN"], "WARN", $values["Avg(fMeanPedRmsInner)"]["on"]+$pedrmsrms, $values["Max(fMeanPedRmsInner)"]["off"]);
-                    if (!empty($off) && $values["Min(fMeanPedRmsInner)"]["off"]<$values["Avg(fMeanPedRmsInner)"]["on"]-$pedrmsrms)
-                        printf("<li style='color:%s'>%s: one of your off-sequences has a PedRms smaller than %s (%s)</li>",
-                               $color["WARN"], "WARN", $values["Avg(fMeanPedRmsInner)"]["on"]-$pedrmsrms, $values["Min(fMeanPedRmsInner)"]["off"]);
-                    $scale=$values["Sum(fRunTime)/60"]["on"]/$values["Sum(fRunTime)/60"]["off"];
-                    if ($scale > $scalelimit)
-                        printf("<li style='color:%s'>%s: Your scale factor is larger than %s (%0.2f). Try to find more offdata!",
-                               $color["WARN"], "WARN", $scalelimit, $scale);
-                    /*
-                    if (str_word_count($sourceson) > 1)
-                        printf("<li style='color:%s'>%s: You have selected more than one (%s) on source",
-                               $color["WARN"], "WARN", str_word_count($sourceson));
-                    */
-                    $doubleseq=0;
-//                    printf("finding: %s<br>", $sequon);
-                    foreach(explode(" ", $sequon) as $n => $s)
-                    {
-//                        printf("finding %s in %s <br>", $s, $sequoff);
-                        if (ereg($s, $sequoff))
-                        $doubleseq++;
-                    }
-                    if ($doubleseq>0)
-                    {
-                        printf("<li style='color:%s'>%s: You have selected sequences (%s) as On AND Off",
-                               $color["ERROR"], "ERROR", $doubleseq);
-                        $numerr=$numerr+1;
-                    }
-                    if ($numrealkeys>1)
-                    {
-                        printf("<li style='color:%s'>%s: You have selected more than one (%s) on source",
-                               $color["ERROR"], "ERROR", $numrealkeys);
-                        $numerr=$numerr+1;
-                    }
-                    if ($numobskeys>1)
-                    {
-                        printf("<li style='color:%s'>%s: You have selected more than one (%s) different observation modes for your on sequences",
-                               $color["ERROR"], "WARN", $numobskeys);
-//                        $numerr=$numerr+1;
-                    }
-                    if ($numdtkeys>1)
-                    {
-                        printf("<li style='color:%s'>%s: Your selected on sequences have more than one (%s) different discriminator threshold tables ",
-                               $color["ERROR"], "WARN", $numdtkeys);
-                    }
-                    if (empty($_POST["fObservationModeKEY"]) && !empty($_GET["obsmode"]))
-                        $_POST["fObservationModeKEY"]=$_GET["obsmode"];
-                    if ($_POST["fObservationModeKEY"]==3 && empty($off))
-                    {
-                        printf("<li style='color:%s'>%s: You have selected on/off mode, but you haven't chosen any off sequences.",
-                               $color["ERROR"], "WARN");
-//                        $numerr=$numerr+1;
-                    }
-                    if (empty($realsourcekey))
-                    {
-                        printf("<li style='color:%s'>%s: The source you selected doesn't have a real sourcekey yet. Please insert fRealSourceKEY in the DB for %s",
-                               $color["ERROR"], "ERROR", $sourceson);
-                        $numerr=$numerr+1;
-                    }
-                    if (empty($_POST["fObservationModeKEY"]))
-                    {
-                        printf("<li style='color:%s'>%s: You have to choose an observation mode.",
-                               $color["ERROR"], "ERROR");
-                        $numerr=$numerr+1;
-                    }
-                    if (empty($_POST["fUserKEY"]))
-                    {
-                        printf("<li style='color:%s'>%s: You have to choose your username.",
-                               $color["ERROR"], "ERROR");
-                        $numerr=$numerr+1;
-                    }
-                    if (empty($_POST["name"]))
-                    {
-                        printf("<li style='color:%s'>%s: You have to choose a name.",
-                               $color["ERROR"], "ERROR");
-                        $numerr=$numerr+1;
-                    }
-                    if (empty($_POST["comment"]))
-                    {
-                        printf("<li style='color:%s'>%s: You have to comment your dataset.",
-                               $color["ERROR"], "ERROR");
-                        $numerr=$numerr+1;
-                    }
-                    //                printf("<li></li>");
-                    printf("</ul></font>\n");
-
-                    printf("<div align='left'>");
-                    printf("SequencesOn: %s<br>", $sequon);
-                    printf("SequencesOff: %s<br>", $sequoff);
-                    $insquery[0]="INSERT DataSets SET fDataSetNumber=" . $dataset . ", fUserKEY=" . $_POST["fUserKEY"];
-                    $insquery[0].=", fComment='" . $_POST["comment"] . "', fObservationModeKEY=" . $_POST["fObservationModeKEY"];
-                    $insquery[0].=", fDataSetName='" . $_POST["name"] . "', fSourceKEY= " . $realsourcekey;
-                    $insquery[0].=", fRunStart='" . $values["Min(fRunStart)"]["on"];
-                    $insquery[0].="', fRunStop='" . $values["Max(fRunStop)"]["on"];
-                    $insquery[0].="', fZenithDistanceMin=" . $values["Min(fZenithDistanceMin)"]["on"];
-                    $insquery[0].=", fZenithDistanceMax=" . $values["Max(fZenithDistanceMax)"]["on"];
-                    $insquery[0].=", fRunTime=" . $values["Sum(fRunTime)/60"]["on"];
-                    $insquery[1]="INSERT DataSetProcessStatus SET fDataSetNumber=" . $dataset . ", fDataSetInserted=Now()";
-                    $i=2;
-                    foreach(explode(" ", trim($sequon)) as $key => $sequ)
-                    {
-                        $insquery[$i]="INSERT DataSetSequenceMapping SET fDataSetNumber=" . $dataset;
-                        $insquery[$i].=", fSequenceFirst=" . $sequ . ", fOnOff=1";
-                        $i=$i+1;
-                    }
-                    if (!empty($off))
-                    {
-                        foreach(explode(" ", trim($sequoff)) as $key => $sequ)
-                        {
-                            $insquery[$i]="INSERT DataSetSequenceMapping SET fDataSetNumber=" . $dataset;
-                            $insquery[$i].=", fSequenceFirst=" . $sequ . ", fOnOff=2";
-                            $i=$i+1;
-                        }
-                    }
-                    foreach($insquery as $num => $q)
-                    {
-                        if (!empty($_POST["insert"]) && $numerr==0)
-                        {
-                            printf("Inserted Query #%s: %s<br>", $num, $q);
-                            $insresult=mysql_query($q);
-                            if (mysql_errno()>0)
-                                printf("&nbsp; Errorno: %s <br>", mysql_errno());
-                            if (mysql_error()!="")
-                                printf("&nbsp; Errormsg: %s <br>", mysql_error());
-                            if (mysql_info()!="")
-                                printf("&nbsp; Info: %s <br>", mysql_info());
-                            printf("&nbsp; Affected Rows: %s <br>", mysql_affected_rows());
-                            mysql_free_result($insresult);
-                            if (mysql_errno()>0)
-                            {
-                                printf("ERROR => stop inserting");
-                                break;
-                            }
-                        }
-                    }
-                    printf("</div>");
-                    if (empty($_POST["name"]) && !empty($_GET["name"]))
-                        $_POST["name"]=$_GET["name"];
-                    if (empty($_POST["comment"]) && !empty($_GET["comment"]))
-                        $_POST["comment"]=$_GET["comment"];
-                    if (empty($_POST["fUserKEY"]) && !empty($_GET["username"]))
-                        $_POST["fUserKEY"]=$_GET["username"];
-                    printf("Name: &nbsp;<input name='name' type='text' size='20' maxlength='20' value='%s'><br>\n", $_POST["name"]);
-                    printf("Comment: &nbsp;<input name='comment' type='text' size='50' maxlength='255' value='%s'><br>\n", $_POST["comment"]);
-
-                    $query   = "SELECT fObservationModeKEY, fObservationModeName FROM ObservationMode ORDER BY fObservationModeName";
-                    $result  = mysql_query($query);
-                    if (!$result)
-                        printf("-N/A-");
-
-                    $numrows = mysql_num_rows($result);
-
-                    printf("ObservationMode&nbsp;<select name='fObservationModeKEY' size='1' class='Width'>\n");
-                    while ($row = mysql_fetch_row($result))
-                    {
-                        if (!empty($_POST["fObservationModeKEY"]) && $_POST["fObservationModeKEY"]==$row[0])
-                            printf("<option value='%s' selected>%s</option>\n", $row[0], $row[1]);
-                        else
-                            printf("<option value='%s'>%s</option>\n", $row[0], $row[1]);
-                    }
-                    printf("</select><br>\n");
-                    mysql_free_result($result);
-
-                    $query   = "SELECT fUserKEY, fUserName FROM User ORDER BY fUserKEY";
-                    $result  = mysql_query($query);
-                    if (!$result)
-                        printf("-N/A-");
-
-                    $numrows = mysql_num_rows($result);
-
-                    printf("UserName&nbsp;<select name='fUserKEY' size='1' class='Width'>\n");
-                    while ($row = mysql_fetch_row($result))
-                    {
-                        if (!empty($_POST["fUserKEY"]) && $_POST["fUserKEY"]==$row[0])
-                            printf("<option value='%s' selected>%s</option>\n", $row[0], $row[1]);
-                        else
-                            printf("<option value='%s'>%s</option>\n", $row[0], $row[1]);
-                    }
-                    printf("</select><br>\n");
-                    mysql_free_result($result);
-
-                    if ($numerr!=0)
-                    {
-                        printf("Remark: only datasets without errors can be inserted.<br>");
-                        printf("Your dataset has %s error(s).<br>", $numerr);
-                    }
-                    printf("<input type='checkbox' name='insert' value='On'>insert\n");
-
-                    printf("<table><tr><td colspan='2' align='center'>Dataset</td></tr>");
-                    printf("<tr><td>proposed DataSet#: </td><td>%s</td></tr>", $dataset);
-                    printf("<tr><td valign='top'>SequencesOn:</td><td> %s</td></tr>", $sequon);
-                    if (!empty($sequoff))
-                        printf("<tr><td valign='top'>SequencesOff:</td><td> %s</td></tr>", $sequoff);
-                    printf("<tr><td>Scale: </td><td>%0.2f</td></tr>", $scale);
-                    printf("<tr><td>SourcenamesOn[%s]: </td><td>%s</td></tr>", str_word_count($sourceson), $sourceson);
-                    printf("<tr><td>SourcenamesOff[%s]: </td><td>%s</td></tr>", str_word_count($sourcesoff), $sourcesoff);
-                    printf("</table>\n");
-
-                    printf("<table border='1'>\n");
-                    printf("<tr><td>Value</td><td>On</td>");
-                    if (!empty($off))
-                        printf("<td>Off</td></tr>\n");
-                    foreach($values as $name => $varname)
-                    {
-                        printf("<tr><td>%s</td>\n", $name);
-                        foreach($vals as $num => $val)
-                            if (!empty(${$val}))
-                                printf("<td>%s</td>\n", $varname[$val]);
-                        printf("</tr>\n");
-                    }
-                    printf("</table>\n");
-                }
+                else
+                    printf("<input type='submit' value='Get Data Set'><br><br>\n");
 
                 printf("</div>\n");
-                /*
-                printf("<table border='1'><tr>\n");
-                printf("<td>--</td>\n");
-                foreach($values as $name => $varname)
-                        printf("<td>%s</td>\n", $name);
-                $vals=array("on", "off");
-                foreach($vals as $num => $val)
-                {
-                    GetSequenceValues($db_id, ${$val}, $val, $values);
-                    printf("</tr><tr>\n");
-                    printf("<td>On</td>\n");
-                    foreach($values as $name => $varname)
-                        printf("<td>%s</td>\n", $varname[$val]);
-                }
-                printf("</tr></table>\n");
-                */
-
-                printf("</center>\n");
                 printf("</td>\n");
                 printf("</tr>\n");
